Overview
PUT
/ecosystem/applications/{id}ecosystemUpdate applications
Replace a record in applications by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- ecosystemIdoptionalstring
- slugoptionalstring
- displayNameoptionalstring
- consumerKindoptionalstring
- isDeletedoptionalboolean
Example
{
"ecosystemId": "string",
"slug": "string",
"displayName": "string",
"consumerKind": "string",
"isDeleted": true
}Responses
200
applications
- idstring
- ecosystemIdstring
- slugstring
- displayNamestring
- consumerKindstring
- createdAtstring
- updatedAtstring
- isDeletedboolean
Example
{
"id": "string",
"ecosystemId": "string",
"slug": "string",
"displayName": "string",
"consumerKind": "string",
"createdAt": "string",
"updatedAt": "string",
"isDeleted": true
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/ecosystem/applications/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"slug": "string",
"displayName": "string",
"consumerKind": "string",
"isDeleted": true
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/ecosystem/applications/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"slug\": \"string\",\n \"displayName\": \"string\",\n \"consumerKind\": \"string\",\n \"isDeleted\": true\n}",
});
const data = await res.json();